> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Perform edits to a resource model

POST https://example.itential.io/lifecycle-manager/resources/{modelId}/edit
Content-Type: application/json

Performs edits to a resource model. This method exists to support specific resource edit activities required by the UI.

Reference: https://docs.itential.com/itential-platform/6/api-reference/lifecycle-manager/edit-resource-model-http

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `modelId` (string, required) — Resource model ID

### Body (application/json)

This endpoint expects an object.

- `object`
  - object
    - `command` (enum, required) — Edit command to execute
      - Allowed values: `generate-action-workflow`, `generate-action-pre-transformation`, `generate-action-post-transformation`
    - `action` (string, required) — Resource action ID or pending action definition
    - `overwrite` (boolean, optional) — Tells the component generator to either disregard and overwrite an existing component on the action (when true) or to refuse to generate a new component (when false).
    - `updateAction` (boolean, optional) — Tells the component generator to either update the action in the database (when true) or to only generate and return the new component (when false)

## Response

### 200

response

- `object or object`
  - object
    - `message` (string, required) — A human-readable message summarizing the result of the operation
    - `data` (any, required) — Any successfully retrieved information related to the request.
    - `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.
  - object
    - `message` (string, required) — A human-readable message summarizing the result of the operation
    - `data` (any, required) — Any successfully retrieved information related to the request. For error responses, this is always 'null'.
    - `metadata` (object, required) — Any structured, wordy or machine-readable information related to the result of the operation. For error responses, this will always at least contain an 'errors' array, even if it is empty.
      - `errors` (list of any, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Request**

```json
{
  "action": "string",
  "command": "generate-action-workflow"
}
```

**Response**

```json
{
  "data": null,
  "message": "Successfully created the requested item",
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/resources/modelId/edit"

payload = {
    "action": "string",
    "command": "generate-action-workflow"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/resources/modelId/edit';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"action":"string","command":"generate-action-workflow"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/resources/modelId/edit"

	payload := strings.NewReader("{\n  \"action\": \"string\",\n  \"command\": \"generate-action-workflow\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/resources/modelId/edit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"action\": \"string\",\n  \"command\": \"generate-action-workflow\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.itential.io/lifecycle-manager/resources/modelId/edit")
  .header("Content-Type", "application/json")
  .body("{\n  \"action\": \"string\",\n  \"command\": \"generate-action-workflow\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.itential.io/lifecycle-manager/resources/modelId/edit', [
  'body' => '{
  "action": "string",
  "command": "generate-action-workflow"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/resources/modelId/edit");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"action\": \"string\",\n  \"command\": \"generate-action-workflow\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "action": "string",
  "command": "generate-action-workflow"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources/modelId/edit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```